Foxit PDF SDK

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.LRStructureElement Class Reference
Inheritance diagram for FoxitPDFSDKPython2.LRStructureElement:

## Public Member Functions
def | LRStructureElement ()
| Constructor.
def | LRStructureElement (element)
| Constructor, with parent class object. More...
def | LRStructureElement (other)
| Constructor, with another structure element object. More...
def | GetAttributeValueARGB (type, index)
| Get an ARGB value (specified by index) for specified attribute type. More...
def | GetAttributeValueCount (type)
| Get value count of a specified attribute type. More...
def | GetAttributeValueElement (type, index)
| Get an structure element object (specified by index) for specified attribute type. More...
def | GetAttributeValueEnum (type, index)
| Get an enum value (specified by index) for specified attribute type. More...
def | GetAttributeValueFloat (type, index)
| Get a float value (specified by index) for specified attribute type. More...
def | GetAttributeValueInt32 (type, index)
| Get an integer value (specified by index) for specified attribute type. More...
def | GetAttributeValueString (type, index)
| Get a string value (specified by index) for specified attribute type. More...
def | GetAttributeValueType (type)
| Get attribute value type for a specified attribute type. More...
def | GetBBox ()
| Get bounding box. More...
def | GetChild (index)
| Get a child element by index. More...
def | GetChildCount ()
| Get the count of children elements. More...
def | GetParentElement ()
| Get the parent element. More...
def | GetSupportedAttribute (index)
| Get a supported attribute type by index. More...
def | GetSupportedAttributeCount ()
| Get supported attribute count. More...
Public Member Functions inherited from FoxitPDFSDKPython2.LRElement
def | LRElement ()
| Constructor.
def | LRElement (other)
| Constructor, with another base element object. More...
def | GetElementType ()
| Get element type. More...
def | IsContentElement ()
| Check whether current object is content element or not. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsGraphicsObjectElement ()
| Check whether current object is graphics object element or not. More...
def | IsStructureElement ()
| Check whether current object is structure element or not. More...
def | StringifyType ()
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...

## Static Public Member Functions
def | IsArrayAttributeValueType (type)
| Check whether input attribute value type represents an array. More...
def | ParseAttributeType (type_string)
| Parse a string representation for attribute type and retrieve the enum value for this attribute type. More...
def | StringifyAttributeType (type)
| Convert the enum value of a specified attribute type to a short and memorable string (text) representation. More...
def | StringifyEnumVariant (type)
| Convert the enum value of a specified attribute value enum to a short and memorable string (text) representation. More...
Static Public Member Functions inherited from FoxitPDFSDKPython2.LRElement
def | StringifyElementType (type)
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...

## Static Public Attributes
| e_AttributeTypeABox = _fsdk.LRStructureElement_e_AttributeTypeABox
| (Reserved) Attribute type: ABox. More...
| e_AttributeTypeAttached = _fsdk.LRStructureElement_e_AttributeTypeAttached
| Attribute type: Attached, which specifies the edges of the page, if any, to which the artifact is logically attached. More...
| e_AttributeTypeBackgroundColor = _fsdk.LRStructureElement_e_AttributeTypeBackgroundColor
| Attribute type: BackgroundColor, which represents the color to be used to fill the background of a table cell or any element's content rectangle. More...
| e_AttributeTypeBaselineShift = _fsdk.LRStructureElement_e_AttributeTypeBaselineShift
| Attribute type: BaselineShift, which means the distance by which the element's baseline is shifted relative to that of its parent element. More...
| e_AttributeTypeBBox = _fsdk.LRStructureElement_e_AttributeTypeBBox
| Attribute type: BBox, which represents the element's bounding box (the rectangle that completely encloses its visible content). More...
| e_AttributeTypeBlockAlign = _fsdk.LRStructureElement_e_AttributeTypeBlockAlign
| Attribute type: BlockAlign, which represents the alignment, in the block-progression direction, of content within the table cell. More...
| e_AttributeTypeBorderColor = _fsdk.LRStructureElement_e_AttributeTypeBorderColor
| Attribute type: BorderColor, which represents the color of the border drawn on the edges of a table cell or any element's content rectangle. More...
| e_AttributeTypeBorderStyle = _fsdk.LRStructureElement_e_AttributeTypeBorderStyle
| Attribute type: BorderStyle, which represents the style of an element's border. More...
| e_AttributeTypeBorderThickness = _fsdk.LRStructureElement_e_AttributeTypeBorderThickness
| Attribute type: BorderThickness, which represents the thickness of the border drawn on the edges of a table cell or any element's content rectangle. More...
| e_AttributeTypeColor = _fsdk.LRStructureElement_e_AttributeTypeColor
| Attribute type: Color, which represents the color to be used for drawing text and the default value for the color of table borders and text decorations. More...
| e_AttributeTypeColSpan = _fsdk.LRStructureElement_e_AttributeTypeColSpan
| Attribute type only for Table: ColSpan, which represents the number of columns in the enclosing table that are spanned by the cell. More...
| e_AttributeTypeColumnCount = _fsdk.LRStructureElement_e_AttributeTypeColumnCount
| Attribute type: ColumnCount, which represents the number of columns in the content of the grouping element. More...
| e_AttributeTypeColumnGap = _fsdk.LRStructureElement_e_AttributeTypeColumnGap
| Attribute type: ColumnGap, which represents the desired space between adjacent columns, measured in the inline-progression direction. More...
| e_AttributeTypeColumnWidths = _fsdk.LRStructureElement_e_AttributeTypeColumnWidths
| Attribute type: ColumnWidths, which represents the desired width of the columns, measured in the inline-progression direction. More...
| e_AttributeTypeDestination = _fsdk.LRStructureElement_e_AttributeTypeDestination
| Attribute type: Destination (PDF 2.0), which provides a means to access content. More...
| e_AttributeTypeDirection = _fsdk.LRStructureElement_e_AttributeTypeDirection
| (Reserved) Attribute type: Direction. More...
| e_AttributeTypeEndIndent = _fsdk.LRStructureElement_e_AttributeTypeEndIndent
| Attribute type: EndIndent, which represents the distance from the end edge of the BLSE to that of the reference area. More...
| e_AttributeTypeFieldChecked = _fsdk.LRStructureElement_e_AttributeTypeFieldChecked
| Attribute type only for PrintField: checked, which represents the state of a radio button or check box field. More...
| e_AttributeTypeFieldDesc = _fsdk.LRStructureElement_e_AttributeTypeFieldDesc
| Attribute type only for PrintField: Desc, which represents the alternate name of the field, similar to the value supplied in the TU entry of the field dictionary for interactive fields. More...
| e_AttributeTypeFieldRole = _fsdk.LRStructureElement_e_AttributeTypeFieldRole
| Attribute type only for PrintField: Role, which represents the type of form field represented by this graphic. More...
| e_AttributeTypeGlyphOrientationVertical = _fsdk.LRStructureElement_e_AttributeTypeGlyphOrientationVertical
| Attribute type: GlyphOrientationVertical, which specifies the orientation of glyphs when the inline-progression direction is top to bottom or bottom to top. More...
| e_AttributeTypeHeight = _fsdk.LRStructureElement_e_AttributeTypeHeight
| Attribute type: Height, which represents the height of the element's content rectangle. More...
| e_AttributeTypeInlineAlign = _fsdk.LRStructureElement_e_AttributeTypeInlineAlign
| Attribute type: InlineAlign, which represents the alignment, in the inline-progression direction, of content within the table cell. More...
| e_AttributeTypeInvalid = _fsdk.LRStructureElement_e_AttributeTypeInvalid
| Attribute type: invalid.
| e_AttributeTypeLineHeight = _fsdk.LRStructureElement_e_AttributeTypeLineHeight
| Attribute type: LineHeight, which means the element's preferred height, in the block-progression direction. More...
| e_AttributeTypeListNumbering = _fsdk.LRStructureElement_e_AttributeTypeListNumbering
| Attribute type only for List: ListNumbering, which represents the numbering system to be used to generate the content of the Lbl (Label) elements in an autonumbered list, or the symbol used to identify each item in an unnumbered list. More...
| e_AttributeTypePadding = _fsdk.LRStructureElement_e_AttributeTypePadding
| Attribute type: Padding, which specifies an offset to account for the separation between the element's content rectangle and the surrounding border. More...
| e_AttributeTypePlacement = _fsdk.LRStructureElement_e_AttributeTypePlacement
| Attribute type: Placement, which means the positioning of the element with respect to the enclosing reference area and other content. More...
| e_AttributeTypeRole = _fsdk.LRStructureElement_e_AttributeTypeRole
| Attribute type: role, which means strings of structure element meaning and standard type it maps to. More...
| e_AttributeTypeRotation = _fsdk.LRStructureElement_e_AttributeTypeRotation
| Attribute type: Rotation. More...
| e_AttributeTypeRowSpan = _fsdk.LRStructureElement_e_AttributeTypeRowSpan
| Attribute type only for Table: RowSpan, which represents the number of rows in the enclosing table that are spanned by the cell. More...
| e_AttributeTypeRubyAlign = _fsdk.LRStructureElement_e_AttributeTypeRubyAlign
| Attribute type: RubyAlign, which represents the justification of the lines within a ruby assembly. More...
| e_AttributeTypeRubyPosition = _fsdk.LRStructureElement_e_AttributeTypeRubyPosition
| Attribute type: RubyPosition, which represents the placement of the RT structure element relative to the RB element in a ruby assembly. More...
| e_AttributeTypeShort = _fsdk.LRStructureElement_e_AttributeTypeShort
| Attribute type: Short (PDF 2.0), which contains a short form of the content of a TH structure element's content. More...
| e_AttributeTypeSpaceAfter = _fsdk.LRStructureElement_e_AttributeTypeSpaceAfter
| Attribute type: SpaceAfter, which represents the amount of extra space following the after edge of the BLSE. More...
| e_AttributeTypeSpaceBefore = _fsdk.LRStructureElement_e_AttributeTypeSpaceBefore
| Attribute type: SpaceBefore, which represents the amount of extra space preceding the before edge of the BLSE. More...
| e_AttributeTypeStartIndent = _fsdk.LRStructureElement_e_AttributeTypeStartIndent
| Attribute type: StartIndent, which represents the distance from the start edge of the reference area to that of the BLSE. More...
| e_AttributeTypeSubType = _fsdk.LRStructureElement_e_AttributeTypeSubType
| Attribute type: Subtype, which means the subtype of annotation or artifact. More...
| e_AttributeTypeTableHeaders = _fsdk.LRStructureElement_e_AttributeTypeTableHeaders
| (Currently, unsupported) Attribute type only for Table: Headers, which represents an array of element identifiers. More...
| e_AttributeTypeTableHeaderScope = _fsdk.LRStructureElement_e_AttributeTypeTableHeaderScope
| Attribute type only for Table: Scope, which indicates whether the header cell applies to the rest of the cells in the row that contains it, the column that contains it, or both the row and the column that contain it. More...
| e_AttributeTypeTableSummary = _fsdk.LRStructureElement_e_AttributeTypeTableSummary
| Attribute type only for Table: Summary, which represents a summary of the table's purpose and structure, for use in non-visual rendering such as speech or braille. More...
| e_AttributeTypeTBorderStyle = _fsdk.LRStructureElement_e_AttributeTypeTBorderStyle
| Attribute type: TBorderStyle, which represents the style of the border drawn on each edge of a table cell. More...
| e_AttributeTypeTextAlign = _fsdk.LRStructureElement_e_AttributeTypeTextAlign
| Attribute type: TextAlign, which represents the alignment of text and other content within lines of the BLSE. More...
| e_AttributeTypeTextDecorationColor = _fsdk.LRStructureElement_e_AttributeTypeTextDecorationColor
| Attribute type: TextDecorationColor, which represents the color to be used for drawing text decorations. More...
| e_AttributeTypeTextDecorationThickness = _fsdk.LRStructureElement_e_AttributeTypeTextDecorationThickness
| Attribute type: TextDecorationThickness, which represents the thickness of each line drawn as part of the text decoration. More...
| e_AttributeTypeTextDecorationType = _fsdk.LRStructureElement_e_AttributeTypeTextDecorationType
| Attribute type: TextDecorationType, which represents the text decoration, if any, to be applied to the element's text. More...
| e_AttributeTypeTextIndent = _fsdk.LRStructureElement_e_AttributeTypeTextIndent
| Attribute type: TextIndent, which represents the additional distance from the start edge of the BLSE, as specified by FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeStartIndent , to that of the first line of text. More...
| e_AttributeTypeTPadding = _fsdk.LRStructureElement_e_AttributeTypeTPadding
| Attribute type: TPadding, which specifies an offset to account for the separation between the table cell's content rectangle and the surrounding border. More...
| e_AttributeTypeVersion = _fsdk.LRStructureElement_e_AttributeTypeVersion
| (Reserved) Attribute type: Version, which represents schema version of layout recognition engine. More...
| e_AttributeTypeWidth = _fsdk.LRStructureElement_e_AttributeTypeWidth
| Attribute type: Width, which represents the width of the element's content rectangle. More...
| e_AttributeTypeWritingMode = _fsdk.LRStructureElement_e_AttributeTypeWritingMode
| Attribute type: WritingMode, which means the directions of layout progression for packing of ILSEs (inline progression) and stacking of BLSEs (block progression). More...
| e_AttributeValueEnumAfter = _fsdk.LRStructureElement_e_AttributeValueEnumAfter
| Enum value: After, which means the alignment for attribute BlockAlign or the placement for attribute RubyPosition. More...
| e_AttributeValueEnumAuto = _fsdk.LRStructureElement_e_AttributeValueEnumAuto
| Enum value: Auto. More...
| e_AttributeValueEnumBackground = _fsdk.LRStructureElement_e_AttributeValueEnumBackground
| Enum value: Background, which means background artifacts. Background artifacts typically serve as a background for content shown either on top of or placed adjacent to that background. More...
| e_AttributeValueEnumBates = _fsdk.LRStructureElement_e_AttributeValueEnumBates
| Enum value: Bates (PDF2.0).
| e_AttributeValueEnumBefore = _fsdk.LRStructureElement_e_AttributeValueEnumBefore
| Enum value: Before, which means the placement for attributes Placement/RubyPosition or alignment for attribute BlockAlign. More...
| e_AttributeValueEnumBlock = _fsdk.LRStructureElement_e_AttributeValueEnumBlock
| Enum value: Block, which means to be stacked in the block-progression direction within an enclosing reference area or parent BLSE. More...
| e_AttributeValueEnumBoth = _fsdk.LRStructureElement_e_AttributeValueEnumBoth
| Enum value: Row, which means both row and column of a table. More...
| e_AttributeValueEnumBottom = _fsdk.LRStructureElement_e_AttributeValueEnumBottom
| Enum value: Bottom, which means bottom edge of the page. More...
| e_AttributeValueEnumCB = _fsdk.LRStructureElement_e_AttributeValueEnumCB
| Enum value: cb, which means check box. More...
| e_AttributeValueEnumCenter = _fsdk.LRStructureElement_e_AttributeValueEnumCenter
| Enum value: Center, which means the alignment for attributes TextAlign/InlineAlign/RubyAlign. More...
| e_AttributeValueEnumCircle = _fsdk.LRStructureElement_e_AttributeValueEnumCircle
| Enum value: Circle, which means open circular bullet. More...
| e_AttributeValueEnumColumn = _fsdk.LRStructureElement_e_AttributeValueEnumColumn
| Enum value: Row, which means column of a table. More...
| e_AttributeValueEnumDashed = _fsdk.LRStructureElement_e_AttributeValueEnumDashed
| Enum value: Dashed, which means the border is a series of short line segments. More...
| e_AttributeValueEnumDecimal = _fsdk.LRStructureElement_e_AttributeValueEnumDecimal
| Enum value: Decimal, which means decimal arabic numerals (1-9, 10-99, ...). More...
| e_AttributeValueEnumDisc = _fsdk.LRStructureElement_e_AttributeValueEnumDisc
| Enum value: Disc, which means solid circular bullet. More...
| e_AttributeValueEnumDistribute = _fsdk.LRStructureElement_e_AttributeValueEnumDistribute
| Enum value: Distribute, which means the content is to be expanded to fill the available width in the inline-progression direction. More...
| e_AttributeValueEnumDotted = _fsdk.LRStructureElement_e_AttributeValueEnumDotted
| Enum value: Dotten, which means the border is a series of dots. More...
| e_AttributeValueEnumDouble = _fsdk.LRStructureElement_e_AttributeValueEnumDouble
| Enum value: Double, which means the border is two solid lines. More...
| e_AttributeValueEnumEnd = _fsdk.LRStructureElement_e_AttributeValueEnumEnd
| Enum value: End, which means the place for attribute Placement, or the alignment for attributes TextAlign/InlineAlign/RubyAlign. More...
| e_AttributeValueEnumFloat = _fsdk.LRStructureElement_e_AttributeValueEnumFloat
| Enum value: float.
| e_AttributeValueEnumFooter = _fsdk.LRStructureElement_e_AttributeValueEnumFooter
| Enum value: Footer.
| e_AttributeValueEnumGroove = _fsdk.LRStructureElement_e_AttributeValueEnumGroove
| Enum value: Groove, which means the border looks as though it were carved into the canvas. More...
| e_AttributeValueEnumHeader = _fsdk.LRStructureElement_e_AttributeValueEnumHeader
| Enum value: Header.
| e_AttributeValueEnumHidden = _fsdk.LRStructureElement_e_AttributeValueEnumHidden
| Enum value: Hidden, which is same as None except in terms of border conflict resolution for table elements. More...
| e_AttributeValueEnumInline = _fsdk.LRStructureElement_e_AttributeValueEnumInline
| Enum value: Inline, which means the placement for attributes Placement/RubyPosition. More...
| e_AttributeValueEnumInset = _fsdk.LRStructureElement_e_AttributeValueEnumInset
| Enum value: Inset, which means the border makes the entire box look as though it were embedded in the canvas. More...
| e_AttributeValueEnumInvalid = _fsdk.LRStructureElement_e_AttributeValueEnumInvalid
| Invalid enum value.
| e_AttributeValueEnumJustify = _fsdk.LRStructureElement_e_AttributeValueEnumJustify
| Enum value: Justify, which means the alignment for attributes TextAlign/BlockAlign/RubyAlign. More...
| e_AttributeValueEnumLayout = _fsdk.LRStructureElement_e_AttributeValueEnumLayout
| Enum value: Layout, which means layout artifacts. Purely cosmetic typographical or design elements such as footnote rules or background screens. More...
| e_AttributeValueEnumLeft = _fsdk.LRStructureElement_e_AttributeValueEnumLeft
| Enum value: Left, which means left edge of the page. More...
| e_AttributeValueEnumLineThrough = _fsdk.LRStructureElement_e_AttributeValueEnumLineThrough
| Enum value: LineThrough, which means a line through the middle of the text. More...
| e_AttributeValueEnumLowerAlpha = _fsdk.LRStructureElement_e_AttributeValueEnumLowerAlpha
| Enum value: LowerAlpha, which means lowercase letters (a, b, c, ...). More...
| e_AttributeValueEnumLowerRoman = _fsdk.LRStructureElement_e_AttributeValueEnumLowerRoman
| Enum value: LowerRoman, which means lowercase roman numerals (i, ii, iii, iv, ...). More...
| e_AttributeValueEnumLrTb = _fsdk.LRStructureElement_e_AttributeValueEnumLrTb
| Enum value: LtTb, which means inline progression from left to right; block progression from top to bottom. More...
| e_AttributeValueEnumMiddle = _fsdk.LRStructureElement_e_AttributeValueEnumMiddle
| Enum value: Middle, which means children are centered within the table cell. More...
| e_AttributeValueEnumNeutral = _fsdk.LRStructureElement_e_AttributeValueEnumNeutral
| Enum value: neutral, which means the state is neutral. More...
| e_AttributeValueEnumNone = _fsdk.LRStructureElement_e_AttributeValueEnumNone
| Enum value: None, which means no such attribute. More...
| e_AttributeValueEnumOff = _fsdk.LRStructureElement_e_AttributeValueEnumOff
| Enum value: off, which means the state is off. More...
| e_AttributeValueEnumOn = _fsdk.LRStructureElement_e_AttributeValueEnumOn
| Enum value: on, which means the state is on. More...
| e_AttributeValueEnumOrdered = _fsdk.LRStructureElement_e_AttributeValueEnumOrdered
| Enum value: Ordered (PDF 2.0), which means ordered lists with unspecified numbering. More...
| e_AttributeValueEnumOther = _fsdk.LRStructureElement_e_AttributeValueEnumOther
| Enum value: Other (PDF 2.0). More...
| e_AttributeValueEnumOutset = _fsdk.LRStructureElement_e_AttributeValueEnumOutset
| Enum value: Outset, which means the border makes the entire box look as though it were coming out of the canvas (the opposite of Inset). More...
| e_AttributeValueEnumOverline = _fsdk.LRStructureElement_e_AttributeValueEnumOverline
| Enum value: Overline, which means a line above the text. More...
| e_AttributeValueEnumPage = _fsdk.LRStructureElement_e_AttributeValueEnumPage
| Enum value: Page, which means page artifacts. Production aids extraneous to the document itself, such as cut marks and color bars. More...
| e_AttributeValueEnumPageNum = _fsdk.LRStructureElement_e_AttributeValueEnumPageNum
| Enum value: PageNum (PDF2.0).
| e_AttributeValueEnumPagination = _fsdk.LRStructureElement_e_AttributeValueEnumPagination
| Enum value: Pagination, which means pagination artifacts. Ancillary page features such as running heads and folios (page numbers). More...
| e_AttributeValueEnumPB = _fsdk.LRStructureElement_e_AttributeValueEnumPB
| Enum value: pb, which means push button. More...
| e_AttributeValueEnumRB = _fsdk.LRStructureElement_e_AttributeValueEnumRB
| Enum value: rb, which means radio button. More...
| e_AttributeValueEnumRidge = _fsdk.LRStructureElement_e_AttributeValueEnumRidge
| Enum value: Ridge, which means the border looks as though it were coming out of the canvas (the opposite of Groove). More...
| e_AttributeValueEnumRight = _fsdk.LRStructureElement_e_AttributeValueEnumRight
| Enum value: Right, which means right edge of the page. More...
| e_AttributeValueEnumRlTb = _fsdk.LRStructureElement_e_AttributeValueEnumRlTb
| Enum value: RlTb, which means inline progression from right to left; block progression from top to bottom. More...
| e_AttributeValueEnumRow = _fsdk.LRStructureElement_e_AttributeValueEnumRow
| Enum value: Row, which means row of a table. More...
| e_AttributeValueEnumSolid = _fsdk.LRStructureElement_e_AttributeValueEnumSolid
| Enum value: Solid, which means the border is a single line segment. More...
| e_AttributeValueEnumSquare = _fsdk.LRStructureElement_e_AttributeValueEnumSquare
| Enum value: Square, which means solid square bullet. More...
| e_AttributeValueEnumStart = _fsdk.LRStructureElement_e_AttributeValueEnumStart
| Enum value: Start, which means the place for attribute Placement, or the alignment for attributes TextAlign/InlineAlign/RubyAlign. More...
| e_AttributeValueEnumTbLr = _fsdk.LRStructureElement_e_AttributeValueEnumTbLr
| Enum value: TbLr (PDF 2.0), which means inline progression from top to bottom; block progression from left to right. More...
| e_AttributeValueEnumTbRl = _fsdk.LRStructureElement_e_AttributeValueEnumTbRl
| Enum value: TbRl, which means inline progression from top to bottom; block progression from right to left. More...
| e_AttributeValueEnumTop = _fsdk.LRStructureElement_e_AttributeValueEnumTop
| Enum value: Top, which means top edge of the page. More...
| e_AttributeValueEnumTV = _fsdk.LRStructureElement_e_AttributeValueEnumTV
| Enum value: tv, which means text-value field. More...
| e_AttributeValueEnumUnderline = _fsdk.LRStructureElement_e_AttributeValueEnumUnderline
| Enum value: Underline, which means a line below the text. More...
| e_AttributeValueEnumUnordered = _fsdk.LRStructureElement_e_AttributeValueEnumUnordered
| Enum value: Unordered (PDF 2.0), which means unordered list with unspecified bullets. More...
| e_AttributeValueEnumUpperAlpha = _fsdk.LRStructureElement_e_AttributeValueEnumUpperAlpha
| Enum value: UpperAlpha, which means uppercase letters (A, B, C, ...). More...
| e_AttributeValueEnumUpperRoman = _fsdk.LRStructureElement_e_AttributeValueEnumUpperRoman
| Enum value: UpperRoman, which means uppercase roman numerals (I, II, III, IV, ...). More...
| e_AttributeValueEnumWarichu = _fsdk.LRStructureElement_e_AttributeValueEnumWarichu
| Enum value: Warichu, which means the RT and associated RP elements are to be formatted as a warichu, following the RB element. More...
| e_AttributeValueEnumWatermark = _fsdk.LRStructureElement_e_AttributeValueEnumWatermark
| Enum value: Watermark.
| e_AttributeValueTypeARGB = _fsdk.LRStructureElement_e_AttributeValueTypeARGB
| Value type: ARGB color type, 32 bits, ((b) | ((g) << 8) | ((r) << 16)) | ((a) << 24).
| e_AttributeValueTypeARGBArray = _fsdk.LRStructureElement_e_AttributeValueTypeARGBArray
| Value type: an array of ARGB values.
| e_AttributeValueTypeElement = _fsdk.LRStructureElement_e_AttributeValueTypeElement
| Value type: element.
| e_AttributeValueTypeElementArray = _fsdk.LRStructureElement_e_AttributeValueTypeElementArray
| Value type: an array of elements.
| e_AttributeValueTypeEmpty = _fsdk.LRStructureElement_e_AttributeValueTypeEmpty
| Empty value type.
| e_AttributeValueTypeEnum = _fsdk.LRStructureElement_e_AttributeValueTypeEnum
| Value type: enum.
| e_AttributeValueTypeEnumArray = _fsdk.LRStructureElement_e_AttributeValueTypeEnumArray
| Value type: an array of enum values.
| e_AttributeValueTypeFloat = _fsdk.LRStructureElement_e_AttributeValueTypeFloat
| Value type: float.
| e_AttributeValueTypeFloatArray = _fsdk.LRStructureElement_e_AttributeValueTypeFloatArray
| Value type: an array of float values.
| e_AttributeValueTypeInt32 = _fsdk.LRStructureElement_e_AttributeValueTypeInt32
| Value type: 32-bit signed integer.
| e_AttributeValueTypeInt32Array = _fsdk.LRStructureElement_e_AttributeValueTypeInt32Array
| Value type: an array of integer values.
| e_AttributeValueTypeWStr = _fsdk.LRStructureElement_e_AttributeValueTypeWStr
| Value type: wide string.
| e_AttributeValueTypeWStrArray = _fsdk.LRStructureElement_e_AttributeValueTypeWStrArray
| Value type: an array of wide strings.
Static Public Attributes inherited from FoxitPDFSDKPython2.LRElement
| e_ElementTypeAnnot = _fsdk.LRElement_e_ElementTypeAnnot
| Structure element type: Annot, which means "Annotation" and represents an association between a portion of the ILSE's content and a corresponding PDF annotation.
| e_ElementTypeAnnotContent = _fsdk.LRElement_e_ElementTypeAnnotContent
| Structure element type: AnnotContent, which means annotation content element.
| e_ElementTypeAnnotObject = _fsdk.LRElement_e_ElementTypeAnnotObject
| Structure element type: AnnotObject, which means annotation object element.
| e_ElementTypeArt = _fsdk.LRElement_e_ElementTypeArt
| Structure element type: Art, which means "Article" and represents a relatively self-contained body of text constituting a single narrative or exposition.
| e_ElementTypeArtifact = _fsdk.LRElement_e_ElementTypeArtifact
| Structure element type: Artifact, which includes other Pagination, Layout, Page and Background artifacts.
| e_ElementTypeAside = _fsdk.LRElement_e_ElementTypeAside
| Structure element type: Aside (PDF 2.0), which represents content that is distinct from other content within its parent structure element.
| e_ElementTypeBibEntry = _fsdk.LRElement_e_ElementTypeBibEntry
| Structure element type: BibEntry, which means "Bibliography entry" and represents a reference identifying the external source of some cited content.
| e_ElementTypeBlockQuote = _fsdk.LRElement_e_ElementTypeBlockQuote
| Structure element type: BlockQuote, which means "Block quotation" and represents a portion of text consisting of one or more paragraphs attributed to someone other than the author of the surrounding text.
| e_ElementTypeCaption = _fsdk.LRElement_e_ElementTypeCaption
| Structure element type: Caption, which represents a brief portion of text describing a table or figure.
| e_ElementTypeCode = _fsdk.LRElement_e_ElementTypeCode
| Structure element type: Code, which represents a fragment of computer program text.
| e_ElementTypeComplexContent = _fsdk.LRElement_e_ElementTypeComplexContent
| Structure element type: ComplexContent, which means complex content element.
| e_ElementTypeContainerObject = _fsdk.LRElement_e_ElementTypeContainerObject
| Structure element type: ContainerObject, which means container object element.
| e_ElementTypeDiv = _fsdk.LRElement_e_ElementTypeDiv
| Structure element type: Div, which means "Division" and represents a generic block-level element or group of elements.
| e_ElementTypeDocument = _fsdk.LRElement_e_ElementTypeDocument
| Structure element type: Document, which represents a complete document.
| e_ElementTypeDocumentFragment = _fsdk.LRElement_e_ElementTypeDocumentFragment
| Structure element type: DocumentFragment (PDF 2.0), which represents a part of an original complete document.
| e_ElementTypeEm = _fsdk.LRElement_e_ElementTypeEm
| Structure element type: Em (PDF 2.0), which means "Emphasis" and represents content for the purpose of emphasis.
| e_ElementTypeFENote = _fsdk.LRElement_e_ElementTypeFENote
| Structure element type: FENote (PDF 2.0), which is used to markup footnotes and endnotes.
| e_ElementTypeFigure = _fsdk.LRElement_e_ElementTypeFigure
| Structure element type: Figure, which represents an item of graphical content.
| e_ElementTypeForm = _fsdk.LRElement_e_ElementTypeForm
| Structure element type: Form, which represents a widget annotation representing an interactive form field.
| e_ElementTypeFormObject = _fsdk.LRElement_e_ElementTypeFormObject
| Structure element type: FormObject, which means form XObject graphics object element.
| e_ElementTypeFormula = _fsdk.LRElement_e_ElementTypeFormula
| Structure element type: Formula, which represents a mathematical formula.
| e_ElementTypeHeading = _fsdk.LRElement_e_ElementTypeHeading
| Structure element type: H, which means "Heading" and represents a label for a subdivision of a document's content. It should be the first child of the division that it heads.
| e_ElementTypeHeading1 = _fsdk.LRElement_e_ElementTypeHeading1
| Structure element type: H1, which represents heading with level 1.
| e_ElementTypeHeading2 = _fsdk.LRElement_e_ElementTypeHeading2
| Structure element type: H2, which represents heading with level 2.
| e_ElementTypeHeading3 = _fsdk.LRElement_e_ElementTypeHeading3
| Structure element type: H3, which represents heading with level 3.
| e_ElementTypeHeading4 = _fsdk.LRElement_e_ElementTypeHeading4
| Structure element type: H4, which represents heading with level 4.
| e_ElementTypeHeading5 = _fsdk.LRElement_e_ElementTypeHeading5
| Structure element type: H5, which represents heading with level 5.
| e_ElementTypeHeading6 = _fsdk.LRElement_e_ElementTypeHeading6
| Structure element type: H6, which represents heading with level 6.
| e_ElementTypeHeadingN = _fsdk.LRElement_e_ElementTypeHeadingN
| Structure element type: Hn (PDF 2.0), which represents heading with level 7 or more.
| e_ElementTypeImageContent = _fsdk.LRElement_e_ElementTypeImageContent
| Structure element type: ImageContent, which means image content element.
| e_ElementTypeImageObject = _fsdk.LRElement_e_ElementTypeImageObject
| Structure element type: ImageObject, which means image graphics object element.
| e_ElementTypeIndex = _fsdk.LRElement_e_ElementTypeIndex
| Structure element type: Index, which represents a sequence of entries containing identifying text accompanied by reference elements that point out occurrences of the specified text in the main body of a document.
| e_ElementTypeLink = _fsdk.LRElement_e_ElementTypeLink
| Structure element type: Link, which represents an association between a portion of the ILSE's content and a corresponding link annotation or annotations.
| e_ElementTypeList = _fsdk.LRElement_e_ElementTypeList
| Structure element type: L, which means "List" and represents a sequence of items of like meaning and importance.
| e_ElementTypeListBody = _fsdk.LRElement_e_ElementTypeListBody
| Structure element type: LBody, which means "List body" and reprsents the descriptive content of a list item.
| e_ElementTypeListItem = _fsdk.LRElement_e_ElementTypeListItem
| Structure element type: LI, which means "List item" and represents an individual member of a list.
| e_ElementTypeListLabel = _fsdk.LRElement_e_ElementTypeListLabel
| Structure element type: Lbl, which means "Label" and represents a name or number that distinguishes a given item from others in the same list or other group of like items.
| e_ElementTypeNonStruct = _fsdk.LRElement_e_ElementTypeNonStruct
| Structure element type: NonStruct, which means "Nonstructural element" and represents a grouping element having no inherent structural significance; it serves solely for grouping purposes.
| e_ElementTypeNote = _fsdk.LRElement_e_ElementTypeNote
| Structure element type: Note, which represents an item of explanatory text, such as a footnote or an endnote, that is referred to from within the body of the document.
| e_ElementTypePageObject = _fsdk.LRElement_e_ElementTypePageObject
| Structure element type: PageObject, which means page object element.
| e_ElementTypeParagraph = _fsdk.LRElement_e_ElementTypeParagraph
| Structure element type: P, which means "Paragraph" and represents a low-level division of text.
| e_ElementTypePart = _fsdk.LRElement_e_ElementTypePart
| Structure element type: Part, which represents a large-scale division of a document.
| e_ElementTypePathContent = _fsdk.LRElement_e_ElementTypePathContent
| Structure element type: PathContent, which means path content element.
| e_ElementTypePathObject = _fsdk.LRElement_e_ElementTypePathObject
| Structure element type: PathObject, which means path graphics object element.
| e_ElementTypePrivate = _fsdk.LRElement_e_ElementTypePrivate
| Structure element type: Private, which means "Private element" and represents a grouping element containing private content belonging to the application producing it.
| e_ElementTypeQuote = _fsdk.LRElement_e_ElementTypeQuote
| Structure element type: Quote, which means "Quotation" and represents an inline portion of text attributed to someone other than the author of the surrounding text.
| e_ElementTypeReference = _fsdk.LRElement_e_ElementTypeReference
| Structure element type: Reference, which represents a citation to content elsewhere in the document.
| e_ElementTypeRuby = _fsdk.LRElement_e_ElementTypeRuby
| Structure element type: Ruby, which represents the wrapper around the entire ruby assembly.
| e_ElementTypeRubyAnnot = _fsdk.LRElement_e_ElementTypeRubyAnnot
| Structure element type: RT, which means "Ruby annotation text" and represents the smaller-size text that is placed adjacent to the ruby base text.
| e_ElementTypeRubyBase = _fsdk.LRElement_e_ElementTypeRubyBase
| Structure element type: RB, which means "Ruby base text" and represents the full-size text to which the ruby annotation is applied.
| e_ElementTypeRubyPunc = _fsdk.LRElement_e_ElementTypeRubyPunc
| Structure element type: RP, which means "Ruby punctuation" and represents punctuation surrounding the ruby annotation text.
| e_ElementTypeSect = _fsdk.LRElement_e_ElementTypeSect
| Structure element type: Sect, which means "Section" and represents a container for grouping related content elements.
| e_ElementTypeShadingContent = _fsdk.LRElement_e_ElementTypeShadingContent
| Structure element type: ShadingContent, which means shading content element.
| e_ElementTypeShadingObject = _fsdk.LRElement_e_ElementTypeShadingObject
| Structure element type: ShadingObject, which means shading graphics object element.
| e_ElementTypeSpan = _fsdk.LRElement_e_ElementTypeSpan
| Structure element type: Span, which represents a generic inline portion of text having no particular inherent characteristics.
| e_ElementTypeStrong = _fsdk.LRElement_e_ElementTypeStrong
| Structure element type: Strong (PDF 2.0), which represents content for the purpose of strong importance, seriousness or urgency for its contents.
| e_ElementTypeSub = _fsdk.LRElement_e_ElementTypeSub
| Structure element type: Sub (PDF 2.0), which means "Sub-division of a block level element" and represents content typically perceived as a sub- division inside a block level structure element.
| e_ElementTypeTable = _fsdk.LRElement_e_ElementTypeTable
| Structure element type: Table, which represents a two-dimensional layout of rectangular data cells, possibly having a complex substructure.
| e_ElementTypeTableBodyGroup = _fsdk.LRElement_e_ElementTypeTableBodyGroup
| Structure element type: TBody, which means "Table body row group" and represents a group of rows that constitute the main body portion of a table.
| e_ElementTypeTableDataCell = _fsdk.LRElement_e_ElementTypeTableDataCell
| Structure element type: TD, which means "Table data cell" and represents a table cell containing data that is part of the table's content.
| e_ElementTypeTableFootGroup = _fsdk.LRElement_e_ElementTypeTableFootGroup
| Structure element type: TFoot, which means "Table footer row group" and represents a group of rows that constitute the footer of a table.
| e_ElementTypeTableHeaderCell = _fsdk.LRElement_e_ElementTypeTableHeaderCell
| Structure element type: TH, which means "Table header cell" and represents a table cell containing header text describing one or more rows or columns of the table.
| e_ElementTypeTableHeaderGroup = _fsdk.LRElement_e_ElementTypeTableHeaderGroup
| Structure element type: THead, which means "Table header row group" and represents a group of rows that constitute the header of a table.
| e_ElementTypeTableRow = _fsdk.LRElement_e_ElementTypeTableRow
| Structure element type: TR, which means "Table row" and represents a row of headings or data in a table.
| e_ElementTypeTextContent = _fsdk.LRElement_e_ElementTypeTextContent
| Structure element type: TextContent, which means text content element.
| e_ElementTypeTextObject = _fsdk.LRElement_e_ElementTypeTextObject
| Structure element type: TextObject, which means text graphics object element.
| e_ElementTypeTitle = _fsdk.LRElement_e_ElementTypeTitle
| Structure element type: Title (PDF 2.0), which represents content that is usually referred to as the title of a document or high-level devision of content.
| e_ElementTypeTOC = _fsdk.LRElement_e_ElementTypeTOC
| Structure element type: TOC, which means "Table of contents" and represents a list made up of table of contents item entries and/or other nested table of contents entries.
| e_ElementTypeTOCI = _fsdk.LRElement_e_ElementTypeTOCI
| Structure element type: TOCI, which means "Table of contents item" and represents an individual member of a table of contents.
| e_ElementTypeWarichu = _fsdk.LRElement_e_ElementTypeWarichu
| Structure element type: Warichu, which represents the wrapper around the entire warichu assembly.
| e_ElementTypeWarichuPunc = _fsdk.LRElement_e_ElementTypeWarichuPunc
| Structure element type: WP, which means "Warichu punctuation" and represents the punctuation that surrounds the WT text.
| e_ElementTypeWarichuText = _fsdk.LRElement_e_ElementTypeWarichuText
| Structure element type: WT, which means "Warichu text" and represents the smaller-size text of a warichu comment that is formatted into two lines and placed between surrounding WP elements.

## Detailed Description

This class represents a structure element. A structure element can be used to construct a tree, like graphics structure element, paragraph structure element, span structure element and so on.

## Constructor & Destructor Documentation

## ◆ LRStructureElement() [1/2]

def FoxitPDFSDKPython2.LRStructureElement.LRStructureElement | ( |  | other | ) |

Constructor, with another structure element object.

Parameters

  [in] | other | Another structure element object.

## ◆ LRStructureElement() [2/2]

def FoxitPDFSDKPython2.LRStructureElement.LRStructureElement | ( |  | element | ) |

Constructor, with parent class object.

Parameters

  [in] | element | Parent class object.

## Member Function Documentation

## ◆ GetAttributeValueARGB()

def FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueARGB | ( |  | type,
|  |  | index
| ) |  |

Get an ARGB value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeARGB or FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeARGBArray . For other value type, this function will return 0.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueCount .

Returns
  ARGB value.

## ◆ GetAttributeValueCount()

def FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueCount | ( |  | type | ) |

Get value count of a specified attribute type.

- When the value type of an attribute type represents an array, this function returns the size of the array.
- When the value type of an attribute type does not represent an array, this function will alway return 1.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRole and this should be one of these values.

Returns
  Value count of a specified attribute type.

## ◆ GetAttributeValueElement()

def FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueElement | ( |  | type,
|  |  | index
| ) |  |

Get an structure element object (specified by index) for specified attribute type.

This function is available for attributes whose value type is FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeElement or FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeElementArray . For other value type, this function will return a structure element whose function LRStructureElement::IsEmpty returns true.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueCount .

Returns
  A structure element.

## ◆ GetAttributeValueEnum()

def FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueEnum | ( |  | type,
|  |  | index
| ) |  |

Get an enum value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeEnum or FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeEnumArray . For other value type, this function will return FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInvalid .

Parameters

  [in] | type | Attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueCount .

Returns
  An enum value. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInvalid and this would be one of these values.

## ◆ GetAttributeValueFloat()

def FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueFloat | ( |  | type,
|  |  | index
| ) |  |

Get a float value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeFloat or FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeFloatArray . For other value type, this function will return 0.0.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueCount .

Returns
  Float value.

## ◆ GetAttributeValueInt32()

def FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueInt32 | ( |  | type,
|  |  | index
| ) |  |

Get an integer value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeInt32 or FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeInt32Array . For other value type, this function will return 0.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueCount .

Returns
  Integer value.

## ◆ GetAttributeValueString()

def FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueString | ( |  | type,
|  |  | index
| ) |  |

Get a string value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeWStr or FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeWStrArray . For other value type, this function will return an empty string.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueCount .

Returns
  Wide string value.

## ◆ GetAttributeValueType()

def FoxitPDFSDKPython2.LRStructureElement.GetAttributeValueType | ( |  | type | ) |

Get attribute value type for a specified attribute type.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRole and this should be one of these values.

Returns
  Value type for the specified attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeEmpty and this would be one of these values.

## ◆ GetBBox()

def FoxitPDFSDKPython2.LRStructureElement.GetBBox | ( |  | ) |

Get bounding box.

Returns
  Bounding box.

## ◆ GetChild()

def FoxitPDFSDKPython2.LRStructureElement.GetChild | ( |  | index | ) |

Get a child element by index.

Parameters

  [in] | index | Index of a child element to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.LRStructureElement.GetChildCount .

Returns
  A child element.

## ◆ GetChildCount()

def FoxitPDFSDKPython2.LRStructureElement.GetChildCount | ( |  | ) |

Get the count of children elements.

Returns
  Count of children elements.

## ◆ GetParentElement()

def FoxitPDFSDKPython2.LRStructureElement.GetParentElement | ( |  | ) |

Get the parent element.

Returns
  Parent element. If function LRStructureElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.

## ◆ GetSupportedAttribute()

def FoxitPDFSDKPython2.LRStructureElement.GetSupportedAttribute | ( |  | index | ) |

Get a supported attribute type by index.

Parameters

  [in] | index | Index for a supported attribute whose type is to be retrieved. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython2.LRStructureElement.GetSupportedAttributeCount .

Returns
  Attribute type of the attribute specified by index.

## ◆ GetSupportedAttributeCount()

def FoxitPDFSDKPython2.LRStructureElement.GetSupportedAttributeCount | ( |  | ) |

Get supported attribute count.

Returns
  Count of supported attribute.

## ◆ IsArrayAttributeValueType()

FoxitPDFSDKPython2.LRStructureElement.IsArrayAttributeValueType | ( |  | type | ) |
| static

Check whether input attribute value type represents an array.

Parameters

  [in] | type | Attribute value type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueTypeEmpty and this should be one of these values.

Returns
  true means input type represents an array, while false means input type does not represent an array.

## ◆ ParseAttributeType()

FoxitPDFSDKPython2.LRStructureElement.ParseAttributeType | ( |  | type_string | ) |
| static

Parse a string representation for attribute type and retrieve the enum value for this attribute type.

Parameters

  [in] | type_string | A string representation for a structure element attribute type.

Returns
  Enum value for attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeInvalid and this would be one of these values.

## ◆ StringifyAttributeType()

FoxitPDFSDKPython2.LRStructureElement.StringifyAttributeType | ( |  | type | ) |
| static

Convert the enum value of a specified attribute type to a short and memorable string (text) representation.

Parameters

  [in] | type | Enum value of a specified attribute type. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeInvalid and this should be one of these values.

Returns
  A string that represents the short and memorable string representation for specified type. If there is no short and memorable string representation, or input type is FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeInvalid or an invalid enum value, this function would return an empty string.

## ◆ StringifyEnumVariant()

FoxitPDFSDKPython2.LRStructureElement.StringifyEnumVariant | ( |  | type | ) |
| static

Convert the enum value of a specified attribute value enum to a short and memorable string (text) representation.

Parameters

  [in] | type | Enum value of a specified attribute value enum. Please refer to values starting from FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInvalid and this should be one of these values.

Returns
  A string that represents the short and memorable string representation for specified enum. If there is no short and memorable string representation, or input enum value is FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInvalid or an invalid enum value, this function would return an empty string.

## Member Data Documentation

## ◆ e_AttributeTypeABox

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeABox = _fsdk.LRStructureElement_e_AttributeTypeABox
| static

(Reserved) Attribute type: ABox.

Note
  Value type for this attribute type is an array of four numbers.

## ◆ e_AttributeTypeAttached

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeAttached = _fsdk.LRStructureElement_e_AttributeTypeAttached
| static

Attribute type: Attached, which specifies the edges of the page, if any, to which the artifact is logically attached.

Note
  Value type for this attribute type is an array of specified enum values. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumTop
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLeft
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBottom
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRight

## ◆ e_AttributeTypeBackgroundColor

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBackgroundColor = _fsdk.LRStructureElement_e_AttributeTypeBackgroundColor
| static

Attribute type: BackgroundColor, which represents the color to be used to fill the background of a table cell or any element's content rectangle.

Note
  Value type for this attribute type is RGB color.

## ◆ e_AttributeTypeBaselineShift

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBaselineShift = _fsdk.LRStructureElement_e_AttributeTypeBaselineShift
| static

Attribute type: BaselineShift, which means the distance by which the element's baseline is shifted relative to that of its parent element.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeBBox

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBBox = _fsdk.LRStructureElement_e_AttributeTypeBBox
| static

Attribute type: BBox, which represents the element's bounding box (the rectangle that completely encloses its visible content).

Note
  Value type for this attribute type is an array of four numbers in [PDF coordinate system] () giving the coordinates of the left, bottom, right, and top edges of the elements's bounding box.

## ◆ e_AttributeTypeBlockAlign

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBlockAlign = _fsdk.LRStructureElement_e_AttributeTypeBlockAlign
| static

Attribute type: BlockAlign, which represents the alignment, in the block-progression direction, of content within the table cell.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBefore
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumCenter
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumAfter
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumJustify

## ◆ e_AttributeTypeBorderColor

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderColor = _fsdk.LRStructureElement_e_AttributeTypeBorderColor
| static

Attribute type: BorderColor, which represents the color of the border drawn on the edges of a table cell or any element's content rectangle.

Note
  Value type for this attribute type is RGB color or an array of RGB color values.

## ◆ e_AttributeTypeBorderStyle

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle = _fsdk.LRStructureElement_e_AttributeTypeBorderStyle
| static

Attribute type: BorderStyle, which represents the style of an element's border.

Note
  Value type for this attribute type is enum or an array of enum values. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumNone
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumHidden
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDotted
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDashed
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumSolid
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDouble
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumGroove
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRidge
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInset
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOutset

## ◆ e_AttributeTypeBorderThickness

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderThickness = _fsdk.LRStructureElement_e_AttributeTypeBorderThickness
| static

Attribute type: BorderThickness, which represents the thickness of the border drawn on the edges of a table cell or any element's content rectangle.

Note
  Value type for this attribute type is number (for all four edges) or an array of four numbers (for one edge of the border, in the order of the before, after, start, and end edge).

## ◆ e_AttributeTypeColor

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeColor = _fsdk.LRStructureElement_e_AttributeTypeColor
| static

Attribute type: Color, which represents the color to be used for drawing text and the default value for the color of table borders and text decorations.

Note
  Value type for this attribute type is RGB color.

## ◆ e_AttributeTypeColSpan

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeColSpan = _fsdk.LRStructureElement_e_AttributeTypeColSpan
| static

Attribute type only for Table: ColSpan, which represents the number of columns in the enclosing table that are spanned by the cell.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeColumnCount

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeColumnCount = _fsdk.LRStructureElement_e_AttributeTypeColumnCount
| static

Attribute type: ColumnCount, which represents the number of columns in the content of the grouping element.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeColumnGap

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeColumnGap = _fsdk.LRStructureElement_e_AttributeTypeColumnGap
| static

Attribute type: ColumnGap, which represents the desired space between adjacent columns, measured in the inline-progression direction.

Note
  Value type for this attribute type can be number (for all columns) or an array of numbers. When the value type is array:
  - if the array contains (ColumnCount-1) numbers, these numbers represent the space between the first and second columns, the second and third columns, and so on, respectively.
  - if there are fewer than (ColumnCount-1) numbers, the last element specifies all remaining spaces; excess array elements are ignored.

## ◆ e_AttributeTypeColumnWidths

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeColumnWidths = _fsdk.LRStructureElement_e_AttributeTypeColumnWidths
| static

Attribute type: ColumnWidths, which represents the desired width of the columns, measured in the inline-progression direction.

Note
  Value type for this attribute type can be number (for all columns) or an array of numbers. When the value type is array:
  - if the array contains ColumnCount numbers, these numbers represent the width of each column, in order.
  - if there are fewer than ColumnCount numbers, the last element specifies all remaining widths; excess array elements are ignored.

## ◆ e_AttributeTypeDestination

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeDestination = _fsdk.LRStructureElement_e_AttributeTypeDestination
| static

Attribute type: Destination (PDF 2.0), which provides a means to access content.

Note
  Value type for this attribute type is an array of zero or stirngs with ID.

## ◆ e_AttributeTypeDirection

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeDirection = _fsdk.LRStructureElement_e_AttributeTypeDirection
| static

(Reserved) Attribute type: Direction.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumStart
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumEnd
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBefore
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumAfter
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOther (PDF 2.0)

## ◆ e_AttributeTypeEndIndent

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeEndIndent = _fsdk.LRStructureElement_e_AttributeTypeEndIndent
| static

Attribute type: EndIndent, which represents the distance from the end edge of the BLSE to that of the reference area.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeFieldChecked

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldChecked = _fsdk.LRStructureElement_e_AttributeTypeFieldChecked
| static

Attribute type only for PrintField: checked, which represents the state of a radio button or check box field.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOn
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOff
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumNeutral

## ◆ e_AttributeTypeFieldDesc

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldDesc = _fsdk.LRStructureElement_e_AttributeTypeFieldDesc
| static

Attribute type only for PrintField: Desc, which represents the alternate name of the field, similar to the value supplied in the TU entry of the field dictionary for interactive fields.

Note
  Value type for this attribute type is string.

## ◆ e_AttributeTypeFieldRole

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldRole = _fsdk.LRStructureElement_e_AttributeTypeFieldRole
| static

Attribute type only for PrintField: Role, which represents the type of form field represented by this graphic.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRB
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumCB
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumPB
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumTV

## ◆ e_AttributeTypeGlyphOrientationVertical

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeGlyphOrientationVertical = _fsdk.LRStructureElement_e_AttributeTypeGlyphOrientationVertical
| static

Attribute type: GlyphOrientationVertical, which specifies the orientation of glyphs when the inline-progression direction is top to bottom or bottom to top.

Note
  Value type for this attribute type is number (which should be one of specified numbers -90, 0, 90, 180, and 270) or enum (which should be value FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumAuto ).

## ◆ e_AttributeTypeHeight

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeHeight = _fsdk.LRStructureElement_e_AttributeTypeHeight
| static

Attribute type: Height, which represents the height of the element's content rectangle.

Note
  Value type for this attribute type is number or enum value FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumAuto .

## ◆ e_AttributeTypeInlineAlign

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeInlineAlign = _fsdk.LRStructureElement_e_AttributeTypeInlineAlign
| static

Attribute type: InlineAlign, which represents the alignment, in the inline-progression direction, of content within the table cell.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumStart
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumCenter
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumEnd

## ◆ e_AttributeTypeLineHeight

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeLineHeight = _fsdk.LRStructureElement_e_AttributeTypeLineHeight
| static

Attribute type: LineHeight, which means the element's preferred height, in the block-progression direction.

Note
  Value type for this attribute type can be number or enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumNormal
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumAuto

## ◆ e_AttributeTypeListNumbering

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering = _fsdk.LRStructureElement_e_AttributeTypeListNumbering
| static

Attribute type only for List: ListNumbering, which represents the numbering system to be used to generate the content of the Lbl (Label) elements in an autonumbered list, or the symbol used to identify each item in an unnumbered list.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumNone
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDisc
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumCircle
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumSquare
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDecimal
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumUpperRoman
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLowerRoman
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumUpperAlpha
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLowerAlpha
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumUnordered (PDF 2.0)
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOrdered (PDF 2.0)

## ◆ e_AttributeTypePadding

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypePadding = _fsdk.LRStructureElement_e_AttributeTypePadding
| static

Attribute type: Padding, which specifies an offset to account for the separation between the element's content rectangle and the surrounding border.

Note
  Value type for this attribute type is number (for all four sides) or an array of four numbers (for the before, after, start, and end edge).

## ◆ e_AttributeTypePlacement

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypePlacement = _fsdk.LRStructureElement_e_AttributeTypePlacement
| static

Attribute type: Placement, which means the positioning of the element with respect to the enclosing reference area and other content.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBlock
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInline
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBefore
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumStart
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumEnd

## ◆ e_AttributeTypeRole

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRole = _fsdk.LRStructureElement_e_AttributeTypeRole
| static

Attribute type: role, which means strings of structure element meaning and standard type it maps to.

Note
  Value type for this attribute type is string.

## ◆ e_AttributeTypeRotation

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRotation = _fsdk.LRStructureElement_e_AttributeTypeRotation
| static

Attribute type: Rotation.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeRowSpan

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRowSpan = _fsdk.LRStructureElement_e_AttributeTypeRowSpan
| static

Attribute type only for Table: RowSpan, which represents the number of rows in the enclosing table that are spanned by the cell.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeRubyAlign

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyAlign = _fsdk.LRStructureElement_e_AttributeTypeRubyAlign
| static

Attribute type: RubyAlign, which represents the justification of the lines within a ruby assembly.

Note
  Value type for this attribute type is enum or an array of specified enum values. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumStart
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumCenter
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumEnd
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumJustify
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDistribute

## ◆ e_AttributeTypeRubyPosition

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyPosition = _fsdk.LRStructureElement_e_AttributeTypeRubyPosition
| static

Attribute type: RubyPosition, which represents the placement of the RT structure element relative to the RB element in a ruby assembly.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBefore
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumAfter
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumWarichu
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInline

## ◆ e_AttributeTypeShort

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeShort = _fsdk.LRStructureElement_e_AttributeTypeShort
| static

Attribute type: Short (PDF 2.0), which contains a short form of the content of a TH structure element's content.

Note
  Value type for this attribute type is string.

## ◆ e_AttributeTypeSpaceAfter

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeSpaceAfter = _fsdk.LRStructureElement_e_AttributeTypeSpaceAfter
| static

Attribute type: SpaceAfter, which represents the amount of extra space following the after edge of the BLSE.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeSpaceBefore

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeSpaceBefore = _fsdk.LRStructureElement_e_AttributeTypeSpaceBefore
| static

Attribute type: SpaceBefore, which represents the amount of extra space preceding the before edge of the BLSE.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeStartIndent

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeStartIndent = _fsdk.LRStructureElement_e_AttributeTypeStartIndent
| static

Attribute type: StartIndent, which represents the distance from the start edge of the reference area to that of the BLSE.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeSubType

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeSubType = _fsdk.LRStructureElement_e_AttributeTypeSubType
| static

Attribute type: Subtype, which means the subtype of annotation or artifact.

Note
  Value type for this attribute type:
  - For annotation, value type is string.
  - For artifact, value type is enum. Valid enum values are:
    - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumPagination
    - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLayout
    - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumPage
    - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBackground

## ◆ e_AttributeTypeTableHeaders

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTableHeaders = _fsdk.LRStructureElement_e_AttributeTypeTableHeaders
| static

(Currently, unsupported) Attribute type only for Table: Headers, which represents an array of element identifiers.

Note
  Value type for this attribute type is an array of strings.

## ◆ e_AttributeTypeTableHeaderScope

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTableHeaderScope = _fsdk.LRStructureElement_e_AttributeTypeTableHeaderScope
| static

Attribute type only for Table: Scope, which indicates whether the header cell applies to the rest of the cells in the row that contains it, the column that contains it, or both the row and the column that contain it.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRow
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumColumn
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBoth

## ◆ e_AttributeTypeTableSummary

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTableSummary = _fsdk.LRStructureElement_e_AttributeTypeTableSummary
| static

Attribute type only for Table: Summary, which represents a summary of the table's purpose and structure, for use in non-visual rendering such as speech or braille.

Note
  Value type for this attribute type is string.

## ◆ e_AttributeTypeTBorderStyle

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle = _fsdk.LRStructureElement_e_AttributeTypeTBorderStyle
| static

Attribute type: TBorderStyle, which represents the style of the border drawn on each edge of a table cell.

Note
  Value type for this attribute type is enum or an array of specified enum values. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumNone
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumHidden
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDotted
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDashed
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumSolid
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDouble
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumGroove
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRidge
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInset
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOutset

## ◆ e_AttributeTypeTextAlign

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextAlign = _fsdk.LRStructureElement_e_AttributeTypeTextAlign
| static

Attribute type: TextAlign, which represents the alignment of text and other content within lines of the BLSE.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumStart
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumCenter
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumEnd
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumJustify

## ◆ e_AttributeTypeTextDecorationColor

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextDecorationColor = _fsdk.LRStructureElement_e_AttributeTypeTextDecorationColor
| static

Attribute type: TextDecorationColor, which represents the color to be used for drawing text decorations.

Note
  Value type for this attribute type is RGB color.

## ◆ e_AttributeTypeTextDecorationThickness

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextDecorationThickness = _fsdk.LRStructureElement_e_AttributeTypeTextDecorationThickness
| static

Attribute type: TextDecorationThickness, which represents the thickness of each line drawn as part of the text decoration.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeTextDecorationType

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextDecorationType = _fsdk.LRStructureElement_e_AttributeTypeTextDecorationType
| static

Attribute type: TextDecorationType, which represents the text decoration, if any, to be applied to the element's text.

Note
  Value type for this attribute type is enum or an array of specified enum values. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumNone
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumUnderline
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOverline
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLineThrough

## ◆ e_AttributeTypeTextIndent

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextIndent = _fsdk.LRStructureElement_e_AttributeTypeTextIndent
| static

Attribute type: TextIndent, which represents the additional distance from the start edge of the BLSE, as specified by FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeStartIndent , to that of the first line of text.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeTPadding

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTPadding = _fsdk.LRStructureElement_e_AttributeTypeTPadding
| static

Attribute type: TPadding, which specifies an offset to account for the separation between the table cell's content rectangle and the surrounding border.

Note
  Value type for this attribute type is number (for all four edges of the table cell) or an array of four numbers (for the before edge, after edge, start edge, and end edge of the content rectangle).

## ◆ e_AttributeTypeVersion

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeVersion = _fsdk.LRStructureElement_e_AttributeTypeVersion
| static

(Reserved) Attribute type: Version, which represents schema version of layout recognition engine.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeWidth

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeWidth = _fsdk.LRStructureElement_e_AttributeTypeWidth
| static

Attribute type: Width, which represents the width of the element's content rectangle.

Note
  Value type for this attribute type is number or enum value FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumAuto .

## ◆ e_AttributeTypeWritingMode

FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeWritingMode = _fsdk.LRStructureElement_e_AttributeTypeWritingMode
| static

Attribute type: WritingMode, which means the directions of layout progression for packing of ILSEs (inline progression) and stacking of BLSEs (block progression).

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLrTb
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRlTb
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumTbRl
  - FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumTbLr (PDF 2.0)

## ◆ e_AttributeValueEnumAfter

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumAfter = _fsdk.LRStructureElement_e_AttributeValueEnumAfter
| static

Enum value: After, which means the alignment for attribute BlockAlign or the placement for attribute RubyPosition.

- For attribute BlockAlign, this means after edge of the last child's allocation rectangle aligned with that of the table cell's content rectangle.
- For attribute RubyPosition, this means the RT content is to be aligned along the after edge of the element.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBlockAlign , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyPosition .

## ◆ e_AttributeValueEnumAuto

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumAuto = _fsdk.LRStructureElement_e_AttributeValueEnumAuto
| static

Enum value: Auto.

- For attribute Width and Height, this indicates that no specific value and the value will be determined automatically.
- For attribute LineHeight, this means not to adjust for the value of BaselineShift.
- For attribute GlyphOrientationVertical, this specifies a default orientation for text depending on whether it is fullwidth(as wide as it is high).

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeWidth , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeHeight , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeLineHeight , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeGlyphOrientationVertical .

## ◆ e_AttributeValueEnumBackground

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBackground = _fsdk.LRStructureElement_e_AttributeValueEnumBackground
| static

Enum value: Background, which means background artifacts. Background artifacts typically serve as a background for content shown either on top of or placed adjacent to that background.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeSubType .

## ◆ e_AttributeValueEnumBefore

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBefore = _fsdk.LRStructureElement_e_AttributeValueEnumBefore
| static

Enum value: Before, which means the placement for attributes Placement/RubyPosition or alignment for attribute BlockAlign.

- For attribute Placement, this means to be placed so that the before edge of the element's allocation rectangle coincides with that of the nearest enclosing reference area.
- For attribute BlockAlign, this means before edge of the first child's allocation rectangle aligned with that of the table cell's content rectangle.
- For attribute RubyPosition, this means the placement of the RT structure element relative to the RB element in a ruby assembly.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypePlacement , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBlockAlign , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyPosition .

## ◆ e_AttributeValueEnumBlock

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBlock = _fsdk.LRStructureElement_e_AttributeValueEnumBlock
| static

Enum value: Block, which means to be stacked in the block-progression direction within an enclosing reference area or parent BLSE.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypePlacement .

## ◆ e_AttributeValueEnumBoth

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBoth = _fsdk.LRStructureElement_e_AttributeValueEnumBoth
| static

Enum value: Row, which means both row and column of a table.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTableHeaderScope .

## ◆ e_AttributeValueEnumBottom

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumBottom = _fsdk.LRStructureElement_e_AttributeValueEnumBottom
| static

Enum value: Bottom, which means bottom edge of the page.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeAttached .

## ◆ e_AttributeValueEnumCB

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumCB = _fsdk.LRStructureElement_e_AttributeValueEnumCB
| static

Enum value: cb, which means check box.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldRole .

## ◆ e_AttributeValueEnumCenter

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumCenter = _fsdk.LRStructureElement_e_AttributeValueEnumCenter
| static

Enum value: Center, which means the alignment for attributes TextAlign/InlineAlign/RubyAlign.

- For attribute TextAlign, this means to be centered between the start and end edges.
- For attribute InlineAlign, this means that each child centered within the table cell.
- For attribute RubyAlign, this means that the content is to be centered in the inline-progression direction

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextAlign , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeInlineAlign , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyAlign .

## ◆ e_AttributeValueEnumCircle

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumCircle = _fsdk.LRStructureElement_e_AttributeValueEnumCircle
| static

Enum value: Circle, which means open circular bullet.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumColumn

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumColumn = _fsdk.LRStructureElement_e_AttributeValueEnumColumn
| static

Enum value: Row, which means column of a table.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTableHeaderScope .

## ◆ e_AttributeValueEnumDashed

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDashed = _fsdk.LRStructureElement_e_AttributeValueEnumDashed
| static

Enum value: Dashed, which means the border is a series of short line segments.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle .

## ◆ e_AttributeValueEnumDecimal

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDecimal = _fsdk.LRStructureElement_e_AttributeValueEnumDecimal
| static

Enum value: Decimal, which means decimal arabic numerals (1-9, 10-99, ...).

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumDisc

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDisc = _fsdk.LRStructureElement_e_AttributeValueEnumDisc
| static

Enum value: Disc, which means solid circular bullet.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumDistribute

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDistribute = _fsdk.LRStructureElement_e_AttributeValueEnumDistribute
| static

Enum value: Distribute, which means the content is to be expanded to fill the available width in the inline-progression direction.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyAlign .

## ◆ e_AttributeValueEnumDotted

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDotted = _fsdk.LRStructureElement_e_AttributeValueEnumDotted
| static

Enum value: Dotten, which means the border is a series of dots.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle .

## ◆ e_AttributeValueEnumDouble

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumDouble = _fsdk.LRStructureElement_e_AttributeValueEnumDouble
| static

Enum value: Double, which means the border is two solid lines.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle .

## ◆ e_AttributeValueEnumEnd

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumEnd = _fsdk.LRStructureElement_e_AttributeValueEnumEnd
| static

Enum value: End, which means the place for attribute Placement, or the alignment for attributes TextAlign/InlineAlign/RubyAlign.

- For attribute Placement, this means to be placed so that the end edge of the element's allocation rectangle coincides with that of the nearest enclosing reference area.
- For attribute TextAlign, this means to be aligned with the end edge.
- For attribute InlineAlign, this means end edge of each child's allocation rectangle aligned with that of the table cell's content rectangle.
- For attribute RubyAlign, this means that the content is to be aligned on the end edge in the inlineprogression direction.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypePlacement , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextAlign , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeInlineAlign , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyAlign .

## ◆ e_AttributeValueEnumGroove

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumGroove = _fsdk.LRStructureElement_e_AttributeValueEnumGroove
| static

Enum value: Groove, which means the border looks as though it were carved into the canvas.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle .

## ◆ e_AttributeValueEnumHidden

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumHidden = _fsdk.LRStructureElement_e_AttributeValueEnumHidden
| static

Enum value: Hidden, which is same as None except in terms of border conflict resolution for table elements.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle .

## ◆ e_AttributeValueEnumInline

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInline = _fsdk.LRStructureElement_e_AttributeValueEnumInline
| static

Enum value: Inline, which means the placement for attributes Placement/RubyPosition.

- For attribute Placement, this means to be packed in the inline-progression direction within an enclosing BLSE.
- For attribute RubyPosition, this means that the RT and associated RP elements are to be formatted as a parenthesis comment, following the RB element

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypePlacement , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyPosition .

## ◆ e_AttributeValueEnumInset

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumInset = _fsdk.LRStructureElement_e_AttributeValueEnumInset
| static

Enum value: Inset, which means the border makes the entire box look as though it were embedded in the canvas.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle .

## ◆ e_AttributeValueEnumJustify

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumJustify = _fsdk.LRStructureElement_e_AttributeValueEnumJustify
| static

Enum value: Justify, which means the alignment for attributes TextAlign/BlockAlign/RubyAlign.

- For attribute TextAlign, this means to be aligned with both the start and end edges, with internal spacing within each line expanded, if necessary, to achieve such alignment.
- For attribute BlockAlign, this means that children are aligned with both the before and after edges of the table cell's content rectangle.
- For attribute RubyAlign, this means that the content is to be centered in the inline-progression direction

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextAlign , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBlockAlign , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyAlign .

## ◆ e_AttributeValueEnumLayout

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLayout = _fsdk.LRStructureElement_e_AttributeValueEnumLayout
| static

Enum value: Layout, which means layout artifacts. Purely cosmetic typographical or design elements such as footnote rules or background screens.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeSubType .

## ◆ e_AttributeValueEnumLeft

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLeft = _fsdk.LRStructureElement_e_AttributeValueEnumLeft
| static

Enum value: Left, which means left edge of the page.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeAttached .

## ◆ e_AttributeValueEnumLineThrough

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLineThrough = _fsdk.LRStructureElement_e_AttributeValueEnumLineThrough
| static

Enum value: LineThrough, which means a line through the middle of the text.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextDecorationType .

## ◆ e_AttributeValueEnumLowerAlpha

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLowerAlpha = _fsdk.LRStructureElement_e_AttributeValueEnumLowerAlpha
| static

Enum value: LowerAlpha, which means lowercase letters (a, b, c, ...).

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumLowerRoman

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLowerRoman = _fsdk.LRStructureElement_e_AttributeValueEnumLowerRoman
| static

Enum value: LowerRoman, which means lowercase roman numerals (i, ii, iii, iv, ...).

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumLrTb

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumLrTb = _fsdk.LRStructureElement_e_AttributeValueEnumLrTb
| static

Enum value: LtTb, which means inline progression from left to right; block progression from top to bottom.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeWritingMode .

## ◆ e_AttributeValueEnumMiddle

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumMiddle = _fsdk.LRStructureElement_e_AttributeValueEnumMiddle
| static

Enum value: Middle, which means children are centered within the table cell.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBlockAlign .

## ◆ e_AttributeValueEnumNeutral

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumNeutral = _fsdk.LRStructureElement_e_AttributeValueEnumNeutral
| static

Enum value: neutral, which means the state is neutral.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldChecked .

## ◆ e_AttributeValueEnumNone

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumNone = _fsdk.LRStructureElement_e_AttributeValueEnumNone
| static

Enum value: None, which means no such attribute.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle , .* FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextDecorationType , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumOff

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOff = _fsdk.LRStructureElement_e_AttributeValueEnumOff
| static

Enum value: off, which means the state is off.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldChecked .

## ◆ e_AttributeValueEnumOn

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOn = _fsdk.LRStructureElement_e_AttributeValueEnumOn
| static

Enum value: on, which means the state is on.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldChecked .

## ◆ e_AttributeValueEnumOrdered

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOrdered = _fsdk.LRStructureElement_e_AttributeValueEnumOrdered
| static

Enum value: Ordered (PDF 2.0), which means ordered lists with unspecified numbering.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumOther

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOther = _fsdk.LRStructureElement_e_AttributeValueEnumOther
| static

Enum value: Other (PDF 2.0).

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeDirection .

## ◆ e_AttributeValueEnumOutset

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOutset = _fsdk.LRStructureElement_e_AttributeValueEnumOutset
| static

Enum value: Outset, which means the border makes the entire box look as though it were coming out of the canvas (the opposite of Inset).

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle .

## ◆ e_AttributeValueEnumOverline

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumOverline = _fsdk.LRStructureElement_e_AttributeValueEnumOverline
| static

Enum value: Overline, which means a line above the text.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextDecorationType .

## ◆ e_AttributeValueEnumPage

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumPage = _fsdk.LRStructureElement_e_AttributeValueEnumPage
| static

Enum value: Page, which means page artifacts. Production aids extraneous to the document itself, such as cut marks and color bars.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeSubType .

## ◆ e_AttributeValueEnumPagination

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumPagination = _fsdk.LRStructureElement_e_AttributeValueEnumPagination
| static

Enum value: Pagination, which means pagination artifacts. Ancillary page features such as running heads and folios (page numbers).

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeSubType .

## ◆ e_AttributeValueEnumPB

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumPB = _fsdk.LRStructureElement_e_AttributeValueEnumPB
| static

Enum value: pb, which means push button.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldRole .

## ◆ e_AttributeValueEnumRB

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRB = _fsdk.LRStructureElement_e_AttributeValueEnumRB
| static

Enum value: rb, which means radio button.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldRole .

## ◆ e_AttributeValueEnumRidge

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRidge = _fsdk.LRStructureElement_e_AttributeValueEnumRidge
| static

Enum value: Ridge, which means the border looks as though it were coming out of the canvas (the opposite of Groove).

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle .

## ◆ e_AttributeValueEnumRight

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRight = _fsdk.LRStructureElement_e_AttributeValueEnumRight
| static

Enum value: Right, which means right edge of the page.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeAttached .

## ◆ e_AttributeValueEnumRlTb

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRlTb = _fsdk.LRStructureElement_e_AttributeValueEnumRlTb
| static

Enum value: RlTb, which means inline progression from right to left; block progression from top to bottom.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeWritingMode .

## ◆ e_AttributeValueEnumRow

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumRow = _fsdk.LRStructureElement_e_AttributeValueEnumRow
| static

Enum value: Row, which means row of a table.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTableHeaderScope .

## ◆ e_AttributeValueEnumSolid

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumSolid = _fsdk.LRStructureElement_e_AttributeValueEnumSolid
| static

Enum value: Solid, which means the border is a single line segment.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeBorderStyle , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTBorderStyle .

## ◆ e_AttributeValueEnumSquare

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumSquare = _fsdk.LRStructureElement_e_AttributeValueEnumSquare
| static

Enum value: Square, which means solid square bullet.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumStart

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumStart = _fsdk.LRStructureElement_e_AttributeValueEnumStart
| static

Enum value: Start, which means the place for attribute Placement, or the alignment for attributes TextAlign/InlineAlign/RubyAlign.

- For attribute Placement, this means to be placed so that the start edge of the element's allocation rectangle coincides with that of the nearest enclosing reference area.
- For attribute TextAlign, this means to be aligned with the start edge.
- For attribute InlineAlign, this means start edge of each child's allocation rectangle aligned with that of the table cell's content rectangle.
- For attribute RubyAlign, this means that the content is to be aligned on the start edge in the inlineprogression direction.

Note
  This can be used with attribute types FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypePlacement , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextAlign , FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeInlineAlign , and FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyAlign .

## ◆ e_AttributeValueEnumTbLr

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumTbLr = _fsdk.LRStructureElement_e_AttributeValueEnumTbLr
| static

Enum value: TbLr (PDF 2.0), which means inline progression from top to bottom; block progression from left to right.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeWritingMode .

## ◆ e_AttributeValueEnumTbRl

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumTbRl = _fsdk.LRStructureElement_e_AttributeValueEnumTbRl
| static

Enum value: TbRl, which means inline progression from top to bottom; block progression from right to left.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeWritingMode .

## ◆ e_AttributeValueEnumTop

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumTop = _fsdk.LRStructureElement_e_AttributeValueEnumTop
| static

Enum value: Top, which means top edge of the page.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeAttached .

## ◆ e_AttributeValueEnumTV

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumTV = _fsdk.LRStructureElement_e_AttributeValueEnumTV
| static

Enum value: tv, which means text-value field.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeFieldRole .

## ◆ e_AttributeValueEnumUnderline

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumUnderline = _fsdk.LRStructureElement_e_AttributeValueEnumUnderline
| static

Enum value: Underline, which means a line below the text.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeTextDecorationType .

## ◆ e_AttributeValueEnumUnordered

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumUnordered = _fsdk.LRStructureElement_e_AttributeValueEnumUnordered
| static

Enum value: Unordered (PDF 2.0), which means unordered list with unspecified bullets.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumUpperAlpha

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumUpperAlpha = _fsdk.LRStructureElement_e_AttributeValueEnumUpperAlpha
| static

Enum value: UpperAlpha, which means uppercase letters (A, B, C, ...).

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumUpperRoman

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumUpperRoman = _fsdk.LRStructureElement_e_AttributeValueEnumUpperRoman
| static

Enum value: UpperRoman, which means uppercase roman numerals (I, II, III, IV, ...).

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeListNumbering .

## ◆ e_AttributeValueEnumWarichu

FoxitPDFSDKPython2.LRStructureElement.e_AttributeValueEnumWarichu = _fsdk.LRStructureElement_e_AttributeValueEnumWarichu
| static

Enum value: Warichu, which means the RT and associated RP elements are to be formatted as a warichu, following the RB element.

Note
  This can be used with attribute type FoxitPDFSDKPython2.LRStructureElement.e_AttributeTypeRubyPosition .